Description

Supportanfrage:

Ich habe mehrere (selbstgeschriebene) ADTF-Filter in einem ADTF-Projekt, welche Ausgaben

jeweils in einer eigenen JSON-Datei ablegen.

Nun die Frage:

Wie kann ich bei mehreren gestarteten ADTF-Instanzen den jeweiligen Filtern ein eigenes

Unterverzeichnis (String) mitgeben, so dass jedes "Filterset" einer gestarteten ADTF-Instanz

seine Ausgaben in den jeweils zugewiesenen Unterordner ablegt? Welche Möglichkeiten gibt es da?

Danke & Grüße

Gerd

Lösung:

Habe jetzt eine Lösung über eine Umgebungsvariable realisiert, die vor jedem Start von ADTF entsprechend initialisiert wird.

Die Lösung mit dem Service hat mir auch ein Kollege gesagt, finde ich aber zu aufwändig.

History

#1 - 2017-07-19 11:08 - hidden

- Project changed from Public Support to 5

- Topic set to ADTF::Automatization

#2 - 2017-07-21 09:26 - hidden

- Status changed from New to In Progress

#3 - 2017-07-21 13:59 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Gerd,

ich würde dir vorschlagen, das du für den Filter des "Filtersets" der die JSON Datei erzeugt, um ein Property zu erweitern, das den String bzw.

Ablagepfad enthält.

Dann kannst du eine ADTF Konfig für alle ADTF Instanzen verwenden, indem du jeweils das Property auf den vordefinierten Pfad setzt.

#4 - 2017-07-24 09:13 - hidden

Hallo Stephan,

vielleicht habe ich mich nicht richtig ausgedrückt.

Mit dem Filterset meine ich mehrere Filter in einem Projekt,

welche ALLE diesen einen Ausgabepfad bekommen sollen,

damit die Ausgaben der Filter einer ADTF-Instanz jeweils dort landen.

Beispiel:
D:\workspace\ADTF_Inst_01\filter1.json

D:\workspace\ADTF_Inst_01\filter2.json

D:\workspace\ADTF_Inst_01\filter3.json

D:\workspace\ADTF_Inst_02\filter1.json

D:\workspace\ADTF_Inst_02\filter2.json

D:\workspace\ADTF_Inst_02\filter3.json

...

Ergo, die filter1..3 benötigen beim Aufruf der ersten ADTF-Instanz Zugriff auf den String "ADTF_Inst_01".

Beim Aufruf der zweiten ADTF-Instanz dann Zugriff auf den String "ADTF_Inst_02". Wie kann man am einfachsten

pro ADTF-Aufruf einen String mitgeben, auf den alle Filter zugreifen können?

Grüße

Gerd

#5 - 2017-07-26 17:30 - hidden

Hallo Gerd,

verstehe ich dich dann richtig das du eine Möglichkeit suchst wie eine ADTF Instanz erkennen kann wieviele (andere) ADTF Instanzen zur gleichen

Zeit laufen?

Diese Funktionalität bietet ADTF nicht standardmäßig, dazu müsstest du dir einen eigenen Service implementieren der per WindowsAPI die

laufenden Prozesse nach ADTF Prozessen durchsucht und durch diese dann iteriert. Damit hättest du dann die Möglichkeit für jede Instanz einen

Pfad als z.B.  Property festzulegen indem die Filter ihre Daten ablegen.

#6 - 2017-07-28 06:25 - hidden

Hallo Stephan,

ja, alle selbstgeschriebenen Filter einer laufenden ADTF-Instanz sollen einen "Instanzstring" in Form eines Sub-Directories bekommen,

damit sie dort ihre Ausgaben ablegen. Habe jetzt eine Lösung über eine Umgebungsvariable realisiert, die vor jedem Start von ADTF

entsprechend initialisiert wird.

Die Lösung mit dem Service hat mir auch ein Kollege gesagt, finde ich aber zu aufwändig.

Ticket kann (öffentlich) geschlossen werden.

Grüße Gerd

#7 - 2017-07-28 14:19 - hidden

- Project changed from 5 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

@Florian, Ticket kann geschlossen werden.

#8 - 2017-08-02 15:12 - hidden

- Subject changed from Information an Filter übertragen für mehrere ADTF-Instanzen to Get instance information for each used filter

- Status changed from To Be Closed to Closed

- Topic changed from ADTF::Automatization to ADTF::Common
